## biniou 1.0.0

=== Makefile ===
# $Id: Makefile 63 2010-12-05 06:40:24Z mjambon $

VERSION = 1.0.0

FLAGS = -dtypes
PACKS = easy-format

.PHONY: default all opt install doc
default: all opt test_biniou META
all: biniou.cma
opt: biniou.cmxa bdump


ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

META: META.in Makefile
	sed -e 's:@@VERSION@@:$(VERSION):' META.in > META

SOURCES = bi_util.mli bi_util.ml \
          bi_share.mli bi_share.ml \
          bi_outbuf.mli bi_outbuf.ml bi_inbuf.mli bi_inbuf.ml \
          bi_vint.mli bi_vint.ml bi_io.mli bi_io.ml \
          bi_dump.ml

MLI = $(filter %.mli, $(SOURCES))
ML = $(filter %.ml, $(SOURCES))
CMI = $(ML:.ml=.cmi)
CMO = $(ML:.ml=.cmo)
CMX = $(ML:.ml=.cmx)
O = $(ML:.ml=.o)

biniou.cma: $(SOURCES) Makefile
	ocamlfind ocamlc -a -o biniou.cma -package "$(PACKS)" $(SOURCES)

biniou.cmxa: $(SOURCES) Makefile
	ocamlfind ocamlopt -a -o biniou.cmxa -package "$(PACKS)" $(SOURCES)

bdump: $(SOURCES) bdump.ml
	ocamlfind ocamlopt -o bdump -package $(PACKS) -linkpkg \
		biniou.cmxa bdump.ml

test_biniou: $(SOURCES) test_biniou.ml
	ocamlfind ocamlopt -o test_biniou -package "$(PACKS) unix" -linkpkg \
		biniou.cmxa test_biniou.ml

doc: doc/index.html
doc/index.html: $(MLI)
	mkdir -p doc
	ocamlfind ocamldoc -d doc -html -package easy-format $(MLI)

install: META
	test ! -f bdump || cp bdump $(BINDIR)/
	test ! -f bdump.exe || cp bdump.exe $(BINDIR)/
	ocamlfind install biniou META \
          $$(ls $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
             biniou.cma biniou.cmxa biniou.a)

uninstall:
	test ! -f $(BINDIR)/bdump || rm $(BINDIR)/bdump
	test ! -f $(BINDIR)/bdump.exe || rm $(BINDIR)/bdump.exe 
	ocamlfind remove biniou

.PHONY: clean

clean:
	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot 
	rm -f bdump bdump.exe test_biniou test_biniou.exe META
	rm -rf doc
	rm -f test.bin test_channels.bin

SUBDIRS = 
SVNURL = svn://svn.forge.ocamlcore.org/svnroot/biniou/trunk/biniou

.PHONY: archive
archive:
	@echo "Making archive for version $(VERSION)"
	@if [ -z "$$WWW" ]; then \
		echo '*** Environment variable WWW is undefined ***' >&2; \
		exit 1; \
	fi
	@if [ -n "$$(svn status -q)" ]; then \
		echo "*** There are uncommitted changes, aborting. ***" >&2; \
		exit 1; \
	fi
	$(MAKE) && ./bdump -help > $$WWW/bdump-help.txt
	mkdir -p $$WWW/biniou-doc
	$(MAKE) doc && cp doc/* $$WWW/biniou-doc/
	rm -rf /tmp/biniou /tmp/biniou-$(VERSION) && \
		cd /tmp && \
		svn co "$(SVNURL)" && \
		for x in "." $(SUBDIRS); do \
			rm -rf /tmp/biniou/$$x/.svn; \
		done && \
		cd /tmp && cp -r biniou biniou-$(VERSION) && \
		tar czf biniou.tar.gz biniou && \
		tar cjf biniou.tar.bz2 biniou && \
		tar czf biniou-$(VERSION).tar.gz biniou-$(VERSION) && \
		tar cjf biniou-$(VERSION).tar.bz2 biniou-$(VERSION)
	mv /tmp/biniou.tar.gz /tmp/biniou.tar.bz2 ../releases
	mv /tmp/biniou-$(VERSION).tar.gz \
		/tmp/biniou-$(VERSION).tar.bz2 ../releases
	cp ../releases/biniou.tar.gz $$WWW/
	cp ../releases/biniou.tar.bz2 $$WWW/
	cp ../releases/biniou-$(VERSION).tar.gz $$WWW/
	cp ../releases/biniou-$(VERSION).tar.bz2 $$WWW/
	cd ../releases && \
		svn add biniou.tar.gz biniou.tar.bz2 \
			biniou-$(VERSION).tar.gz biniou-$(VERSION).tar.bz2 && \
		svn commit -m "biniou version $(VERSION)"
	cp LICENSE $$WWW/biniou-license.txt
	cp Changes $$WWW/biniou-changes.txt
	cp biniou-format.txt $$WWW/biniou-format.txt
	echo 'let biniou_version = "$(VERSION)"' \
		> $$WWW/biniou-version.ml

=== debian/changelog ===
biniou (1.0.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jul 2011 00:02:27 +0200

biniou (0.9.1-1) unstable; urgency=low

  * Initial release. (Closes: #605672)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 05 Dec 2010 00:07:39 +0100

=== debian/control ===
Source: biniou
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  libeasy-format-ocaml-dev
Standards-Version: 3.9.2
Homepage: http://martin.jambon.free.fr/biniou.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/biniou.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/biniou.git

Package: libbiniou-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: flexible binary data format in OCaml
 Biniou is a binary data format designed for speed, safety, ease of use
 and backward compatibility as protocols evolve. Biniou is vastly
 equivalent to JSON in terms of functionality but allows implementations
 about 4 times as fast (see godi-yojson for comparison), with 25-35%
 space savings. Biniou data can be decoded into human-readable form
 without knowledge of type definitions except for field and variant names
 which are represented by 31-bit hashes.

Package: libbiniou-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: flexible binary data format in OCaml
 Biniou is a binary data format designed for speed, safety, ease of use
 and backward compatibility as protocols evolve. Biniou is vastly
 equivalent to JSON in terms of functionality but allows implementations
 about 4 times as fast (see godi-yojson for comparison), with 25-35%
 space savings. Biniou data can be decoded into human-readable form
 without knowledge of type definitions except for field and variant names
 which are represented by 31-bit hashes.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
else
	$(MAKE) all bdump.byte
endif 
	$(MAKE) doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

debian/bdump.1: debian/bdump.mkd
	pandoc -s -w man $^ -o $@

=== debian/watch ===
version=3
http://martin.jambon.free.fr/biniou.html biniou-([\d\.]*)\.tar\.gz

## biniou 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
-# $Id: Makefile 63 2010-12-05 06:40:24Z mjambon $
+VERSION = 1.0.8
 
-VERSION = 1.0.0
-
-FLAGS = -dtypes
+FLAGS = -dtypes -g
 PACKS = easy-format
 
-.PHONY: default all opt install doc
-default: all opt test_biniou META
+ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
+EXE=.exe
+else
+EXE=
+endif
+
+.PHONY: default all opt install doc test
+default: all opt test_biniou$(EXE) META
 all: biniou.cma
-opt: biniou.cmxa bdump
+opt: biniou.cmxa bdump$(EXE)
 
+test: test_biniou$(EXE)
+	./test_biniou
 
 ifndef PREFIX
   PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
@@ -28,7 +34,7 @@
           bi_share.mli bi_share.ml \
           bi_outbuf.mli bi_outbuf.ml bi_inbuf.mli bi_inbuf.ml \
           bi_vint.mli bi_vint.ml bi_io.mli bi_io.ml \
-          bi_dump.ml
+          bi_dump.ml bi_stream.mli bi_stream.ml
 
 MLI = $(filter %.mli, $(SOURCES))
 ML = $(filter %.ml, $(SOURCES))
@@ -38,17 +44,21 @@
 O = $(ML:.ml=.o)
 
 biniou.cma: $(SOURCES) Makefile
-	ocamlfind ocamlc -a -o biniou.cma -package "$(PACKS)" $(SOURCES)
+	ocamlfind ocamlc -a $(FLAGS) -o biniou.cma \
+		-package "$(PACKS)" $(SOURCES)
 
 biniou.cmxa: $(SOURCES) Makefile
-	ocamlfind ocamlopt -a -o biniou.cmxa -package "$(PACKS)" $(SOURCES)
+	ocamlfind ocamlopt -a $(FLAGS) \
+		-o biniou.cmxa -package "$(PACKS)" $(SOURCES)
 
-bdump: $(SOURCES) bdump.ml
-	ocamlfind ocamlopt -o bdump -package $(PACKS) -linkpkg \
+bdump$(EXE): $(SOURCES) bdump.ml
+	ocamlfind ocamlopt -o bdump$(EXE) $(FLAGS) \
+		-package $(PACKS) -linkpkg \
 		biniou.cmxa bdump.ml
 
-test_biniou: $(SOURCES) test_biniou.ml
-	ocamlfind ocamlopt -o test_biniou -package "$(PACKS) unix" -linkpkg \
+test_biniou$(EXE): biniou.cmxa test_biniou.ml
+	ocamlfind ocamlopt -o test_biniou$(EXE) $(FLAGS) \
+		-package "$(PACKS) unix" -linkpkg \
 		biniou.cmxa test_biniou.ml
 
 doc: doc/index.html
@@ -65,18 +75,18 @@
 
 uninstall:
 	test ! -f $(BINDIR)/bdump || rm $(BINDIR)/bdump
-	test ! -f $(BINDIR)/bdump.exe || rm $(BINDIR)/bdump.exe 
+	test ! -f $(BINDIR)/bdump.exe || rm $(BINDIR)/bdump.exe
 	ocamlfind remove biniou
 
 .PHONY: clean
 
 clean:
-	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot 
+	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot
 	rm -f bdump bdump.exe test_biniou test_biniou.exe META
 	rm -rf doc
 	rm -f test.bin test_channels.bin
 
-SUBDIRS = 
+SUBDIRS =
 SVNURL = svn://svn.forge.ocamlcore.org/svnroot/biniou/trunk/biniou
 
 .PHONY: archive

=== debian/changelog ===
biniou (1.0.8-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - remove patch fix-bi_stream-for-32-bit-OCaml, since upstream changes
      now deal explicitly with 32-bit platforms

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 11:36:49 +0200

biniou (1.0.6-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * update watch
  * add myself as uploader
  * bump debhelper compat level and standards version
  * update Vcs, dependencies and package description
  * update copyright
  * rename and adapt debian-changes patch 
  * add patch fix-bi-stream-32 
  * update man page
  * install api docs in api/html

 -- Hendrik Tews <hendrik@askra.de>  Thu, 13 Jun 2013 14:01:31 +0200

=== debian/control ===
Source: biniou
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9),
  libeasy-format-ocaml-dev
Standards-Version: 3.9.4
Homepage: http://martin.jambon.free.fr/biniou.html
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/biniou.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/biniou.git

Package: libbiniou-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: flexible binary data format in OCaml - development files
 Biniou is a binary data format designed for speed, safety, ease of use
 and backward compatibility as protocols evolve. Biniou is vastly
 equivalent to JSON in terms of functionality but allows implementations
 about 4 times as fast (see godi-yojson for comparison), with 25-35%
 space savings. Biniou data can be decoded into human-readable form
 without knowledge of type definitions except for field and variant names
 which are represented by 31-bit hashes.
 .
 This package contains the development files needed for programming
 with the library.

Package: libbiniou-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: flexible binary data format in OCaml - plugins
 Biniou is a binary data format designed for speed, safety, ease of use
 and backward compatibility as protocols evolve. Biniou is vastly
 equivalent to JSON in terms of functionality but allows implementations
 about 4 times as fast (see godi-yojson for comparison), with 25-35%
 space savings. Biniou data can be decoded into human-readable form
 without knowledge of type definitions except for field and variant names
 which are represented by 31-bit hashes.
 .
 This package contains the shared runtime libraries.

## biniou 1.0.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.0.8
+VERSION = 1.0.9
 
 FLAGS = -dtypes -g
 PACKS = easy-format
@@ -9,10 +9,16 @@
 EXE=
 endif
 
+NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+
+ifeq "${NATDYNLINK}" "YES"
+CMXS=biniou.cmxs
+endif
+
 .PHONY: default all opt install doc test
 default: all opt test_biniou$(EXE) META
 all: biniou.cma
-opt: biniou.cmxa bdump$(EXE)
+opt: biniou.cmxa $(CMXS) bdump$(EXE)
 
 test: test_biniou$(EXE)
 	./test_biniou
@@ -51,6 +57,9 @@
 	ocamlfind ocamlopt -a $(FLAGS) \
 		-o biniou.cmxa -package "$(PACKS)" $(SOURCES)
 
+biniou.cmxs: biniou.cmxa
+	ocamlopt -shared -linkall -I . -o biniou.cmxs biniou.cmxa
+
 bdump$(EXE): $(SOURCES) bdump.ml
 	ocamlfind ocamlopt -o bdump$(EXE) $(FLAGS) \
 		-package $(PACKS) -linkpkg \
@@ -71,7 +80,7 @@
 	test ! -f bdump.exe || cp bdump.exe $(BINDIR)/
 	ocamlfind install biniou META \
           $$(ls $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
-             biniou.cma biniou.cmxa biniou.a)
+             biniou.cma biniou.cmxa biniou.cmxs biniou.a)
 
 uninstall:
 	test ! -f $(BINDIR)/bdump || rm $(BINDIR)/bdump

=== debian/changelog ===
biniou (1.0.9-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 05 Nov 2015 10:16:23 -0600

biniou (1.0.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 11:13:23 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml


.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE)
else
	$(MAKE) all bdump.byte
endif 
	$(MAKE) doc


.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) test_biniou
else
	$(MAKE) test_biniou.byte
endif 
	./test_biniou


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing


.PHONY: override_dh_installdocs
override_dh_installdocs:
	mkdir api
	mv doc api/html
	dh_installdocs

=== debian/watch ===
version=3
http://mjambon.com/releases/biniou/biniou-(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## biniou 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,27 +1,48 @@
-VERSION = 1.0.9
+VERSION = 1.0.12
 
-FLAGS = -dtypes -g
+FLAGS = -g -annot -bin-annot
 PACKS = easy-format
 
-ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
+ifeq "$(shell ocamlfind ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
 else
 EXE=
 endif
 
-NATDYNLINK := $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then echo YES; else echo NO; fi)
+BEST = $(shell \
+  if ocamlfind ocamlopt 2>/dev/null; then \
+    echo .native; \
+  else \
+    echo .byte; \
+  fi \
+)
+
+NATDYNLINK = $(shell \
+  if [ -f `ocamlfind ocamlc -where`/dynlink.cmxa ]; then \
+    echo YES; \
+  else \
+    echo NO; \
+  fi \
+)
 
 ifeq "${NATDYNLINK}" "YES"
 CMXS=biniou.cmxs
 endif
 
-.PHONY: default all opt install doc test
-default: all opt test_biniou$(EXE) META
-all: biniou.cma
-opt: biniou.cmxa $(CMXS) bdump$(EXE)
+.PHONY: default all byte opt install doc test
+default: all test_biniou$(EXE)
+
+ifeq "$(BEST)" ".native"
+all: byte opt doc META
+else
+all: byte doc META
+endif
+
+byte: biniou.cma bdump.byte
+opt: biniou.cmxa $(CMXS) bdump.native
 
 test: test_biniou$(EXE)
-	./test_biniou
+	./$<
 
 ifndef PREFIX
   PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
@@ -44,7 +65,9 @@
 
 MLI = $(filter %.mli, $(SOURCES))
 ML = $(filter %.ml, $(SOURCES))
-CMI = $(ML:.ml=.cmi)
+CMI = $(MLI:.mli=.cmi)
+CMT = $(MLI:.mli=.cmt)
+ANNOT = $(MLI:.mli=.annot)
 CMO = $(ML:.ml=.cmo)
 CMX = $(ML:.ml=.cmx)
 O = $(ML:.ml=.o)
@@ -58,40 +81,51 @@
 		-o biniou.cmxa -package "$(PACKS)" $(SOURCES)
 
 biniou.cmxs: biniou.cmxa
-	ocamlopt -shared -linkall -I . -o biniou.cmxs biniou.cmxa
+	ocamlfind ocamlopt -shared -linkall -I . -o $@ $^
 
-bdump$(EXE): $(SOURCES) bdump.ml
-	ocamlfind ocamlopt -o bdump$(EXE) $(FLAGS) \
-		-package $(PACKS) -linkpkg \
-		biniou.cmxa bdump.ml
+bdump.byte: biniou.cma bdump.ml
+	ocamlfind ocamlc -o $@ $(FLAGS) \
+		-package $(PACKS) -linkpkg $^
 
-test_biniou$(EXE): biniou.cmxa test_biniou.ml
-	ocamlfind ocamlopt -o test_biniou$(EXE) $(FLAGS) \
-		-package "$(PACKS) unix" -linkpkg \
-		biniou.cmxa test_biniou.ml
+bdump.native: biniou.cmxa bdump.ml
+	ocamlfind ocamlopt -o $@ $(FLAGS) \
+		-package $(PACKS) -linkpkg $^
+
+test_biniou.byte: biniou.cma test_biniou.ml
+	ocamlfind ocamlc -o $@ $(FLAGS) \
+		-package "$(PACKS) unix" -linkpkg $^
+
+test_biniou.native: biniou.cmxa test_biniou.ml
+	ocamlfind ocamlopt -o $@ $(FLAGS) \
+		-package "$(PACKS) unix" -linkpkg $^
+
+%$(EXE): %$(BEST)
+	cp $< $@
 
 doc: doc/index.html
 doc/index.html: $(MLI)
 	mkdir -p doc
 	ocamlfind ocamldoc -d doc -html -package easy-format $(MLI)
 
-install: META
-	test ! -f bdump || cp bdump $(BINDIR)/
-	test ! -f bdump.exe || cp bdump.exe $(BINDIR)/
+install: META byte
+	if [ -f bdump.native ]; then \
+		cp bdump.native $(BINDIR)/bdump$(EXE); \
+	else \
+		cp bdump.byte $(BINDIR)/bdump$(EXE); \
+	fi
 	ocamlfind install biniou META \
-          $$(ls $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
-             biniou.cma biniou.cmxa biniou.cmxs biniou.a)
+	  $(MLI) $(CMI) $(CMT) $(ANNOT) $(CMO) biniou.cma \
+	  -optional $(CMX) $(O) biniou.cmxa biniou.a biniou.cmxs
 
 uninstall:
-	test ! -f $(BINDIR)/bdump || rm $(BINDIR)/bdump
-	test ! -f $(BINDIR)/bdump.exe || rm $(BINDIR)/bdump.exe
+	rm -f $(BINDIR)/bdump{.exe,}
 	ocamlfind remove biniou
 
 .PHONY: clean
 
 clean:
-	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot
-	rm -f bdump bdump.exe test_biniou test_biniou.exe META
+	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot META
+	rm -f {bdump,test_biniou}{.exe,.byte,.native,}
 	rm -rf doc
 	rm -f test.bin test_channels.bin

=== debian/changelog ===
biniou (1.0.12-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:46:53 +0200

biniou (1.0.12-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 12:53:27 +0100

biniou (1.0.12-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 22:19:16 +0200

biniou (1.0.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 13:29:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: biniou
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
@@ -10,10 +11,10 @@
   dh-ocaml (>= 0.9~),
   debhelper (>= 9),
   libeasy-format-ocaml-dev
-Standards-Version: 3.9.4
-Homepage: http://martin.jambon.free.fr/biniou.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/biniou.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/biniou.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/mjambon/biniou
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
 
 Package: libbiniou-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,16 +28,6 @@
 	$(MAKE) doc
 
 
-.PHONY: override_dh_auto_test
-override_dh_auto_test:
-ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-	$(MAKE) test_biniou
-else
-	$(MAKE) test_biniou.byte
-endif 
-	./test_biniou
-
-
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'

## biniou 1.2.0

=== Makefile ===
all:
	@jbuilder build

test:
	@jbuilder runtest

check: test

.PHONY: clean all check test

clean:
	jbuilder clean

=== debian/changelog ===
biniou (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0
  * Remove Hendrik from Uploaders
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 07:09:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: biniou
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 9),
+  debhelper (>= 12),
+  jbuilder,
   libeasy-format-ocaml-dev
-Standards-Version: 3.9.8
-Homepage: https://github.com/mjambon/biniou
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/biniou.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/ocaml-community/biniou
+Vcs-Git: https://salsa.debian.org/ocaml-team/biniou.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/biniou
 
 Package: libbiniou-ocaml-dev
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -39,7 +38,7 @@
 Package: libbiniou-ocaml
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	jbuilder build -p biniou

override_dh_auto_install:
	jbuilder install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/biniou/LICENSE

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/ocaml-community/biniou/tags .*/v([\d\.]+)\.tar\.gz

## biniou 1.2.1

=== Makefile ===
all:
	dune build

test:
	dune runtest

check: test

install:
	dune install

uninstall:
	dune uninstall

.PHONY: clean all check test install uninstall

clean:
	dune clean

=== debian/changelog ===
biniou (1.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Build-depend on debhelper-compat and remove debian/compat

 -- Stéphane Glondu <glondu@debian.org>  Thu, 19 Dec 2019 11:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 12),
-  jbuilder,
+  debhelper-compat (= 12),
+  ocaml-dune,
   libeasy-format-ocaml-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/biniou
 Vcs-Git: https://salsa.debian.org/ocaml-team/biniou.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/biniou

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,10 @@
 	dh $@ --with ocaml
 
 override_dh_auto_build:
-	jbuilder build -p biniou
+	dune build -p biniou
 
 override_dh_auto_install:
-	jbuilder install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/biniou/LICENSE
 
 override_dh_missing:

=== debian/watch ===
version=3
https://github.com/ocaml-community/biniou/tags .*/v?([\d\.]+)\.tar\.gz

## biniou 1.2.2

=== debian/changelog ===
biniou (1.2.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 08:23:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
   ocaml-best-compilers,
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper-compat (= 12),
+  debhelper-compat (= 13),
   ocaml-dune,
+  libcamlp-streams-ocaml-dev,
   libeasy-format-ocaml-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/biniou
 Vcs-Git: https://salsa.debian.org/ocaml-team/biniou.git

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/biniou/LICENSE
-
-override_dh_missing:
-	dh_missing --fail-missing
